Skip to content

TemuCompleteRun

POST
/apps/temu/run/{runId}/complete
curl --request POST \
--url https://your-store.myciqra.com/apps/temu/run/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "failureKind": "example", "mallId": "example", "message": "example", "ordersUpdatedTo": 1, "outcome": "example" }'

Required scope: read_orders — an installation token without it receives 403.

runId
required
string format: uuid
Media typeapplication/json
object
failureKind
required
null | string
mallId
required
null | string
message
required
null | string
ordersUpdatedTo
null | integer | string format: int64
/^-?(?:0|[1-9]\d*)$/
outcome
required
string
Examplegenerated
{
"failureKind": "example",
"mallId": "example",
"message": "example",
"ordersUpdatedTo": 1,
"outcome": "example"
}

No Content

Bad Request

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}

Conflict